Browse Source

Merge "change to python36 for gentoo"

tags/2.19.0
Zuul 4 months ago
parent
commit
240f808ce7

+ 2
- 2
diskimage_builder/elements/gentoo/README.rst View File

@@ -39,12 +39,12 @@ Notes:
39 39
 * Gentoo supports many different versions of python, in order to select one
40 40
   you may use the `GENTOO_PYTHON_TARGETS` environment variable to select
41 41
   the versions of python you want on your image.  The format of this variable
42
-  is a string as follows `"python2_7 python3_5"`.
42
+  is a string as follows `"python2_7 python3_6"`.
43 43
 
44 44
 * In addition you can select the primary python version you wish to use (that
45 45
   which will be called by running the `python` command.  The
46 46
   `GENTOO_PYTHON_ACTIVE_VERSION` is used to set that mapping.  The variable
47
-  contents can be something like `python3.5`.
47
+  contents can be something like `python3.6`.
48 48
 
49 49
 * You can enable overlays using the `GENTOO_OVERLAYS` variable.  In it you
50 50
   should put a space separated list of overlays.  The overlays must be in the

+ 2
- 2
diskimage_builder/elements/gentoo/environment.d/00-gentoo-envars.bash View File

@@ -2,8 +2,8 @@ export DIB_RELEASE=gentoo
2 2
 export DISTRO_NAME=gentoo
3 3
 export GENTOO_PROFILE=${GENTOO_PROFILE:-'default/linux/amd64/17.0'}
4 4
 export GENTOO_PORTAGE_CLEANUP=${GENTOO_PORTAGE_CLEANUP:-'True'}
5
-export GENTOO_PYTHON_TARGETS=${GENTOO_PYTHON_TARGETS:-'python2_7 python3_5'}
6
-export GENTOO_PYTHON_ACTIVE_VERSION=${GENTOO_PYTHON_ACTIVE_VERSION:-'python3.5'}
5
+export GENTOO_PYTHON_TARGETS=${GENTOO_PYTHON_TARGETS:-'python2_7 python3_6'}
6
+export GENTOO_PYTHON_ACTIVE_VERSION=${GENTOO_PYTHON_ACTIVE_VERSION:-'python3.6'}
7 7
 export GENTOO_OVERLAYS=${GENTOO_OVERLAYS:-''}
8 8
 export GENTOO_EMERGE_DEFAULT_OPTS=${GENTOO_EMERGE_DEFAULT_OPTS:-"--binpkg-respect-use --rebuilt-binaries=y --usepkg=y --with-bdeps=y --binpkg-changed-deps=y --quiet --jobs=2"}
9 9
 

Loading…
Cancel
Save